package com.ejie.m62fb.model.tipos;

public class TipoContratoAlquiler extends AbstractTipoGenericoP28 {

	private static final long serialVersionUID = 1L;

	/**
	 * Valor que hace referencia al campo de BBDD
	 * 
	 * NUM_REGISTRO
	 */
	public static final long NUM_REGISTRO = P28Tipos.TIPO_CONTRATO_ALQUILER;

	/**
	 * Method 'TipoContratoAlquiler'.
	 */
	public TipoContratoAlquiler() {
		super(TipoContratoAlquiler.NUM_REGISTRO);
	}

	/**
	 * Method 'TipoContratoAlquiler'.
	 * 
	 * @param codTabla
	 *            String
	 */
	public TipoContratoAlquiler(String codTabla) {
		super(TipoContratoAlquiler.NUM_REGISTRO, codTabla);
	}

	/**
	 * Method 'TipoContratoAlquiler'.
	 * 
	 * @param codTabla
	 *            String
	 * @param descripcionEs
	 *            String
	 * @param descripcionEu
	 *            String
	 */
	public TipoContratoAlquiler(String codTabla, String descripcionEs,
			String descripcionEu) {
		super(TipoContratoAlquiler.NUM_REGISTRO, codTabla, descripcionEs,
				descripcionEu);
	}
}